import 'package:flutter/material.dart';
import 'dart:async';
import 'dart:io';
import 'package:fb_share_plugin/fb_share_plugin.dart';



void main() => runApp(MyApp());

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {


  @override
  void initState() {
    super.initState();

  }



  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Plugin example app'),
        ),
        body: Container(
          child: Column(
            children: <Widget>[
              Center(
                child: RaisedButton(
                    child: Text("Share Button"),
                    onPressed: ()async {
                  await FbSharePlugin.shareContent("http://www.sheikhsoft.com");
                }),
              ),
              Center(
                child: RaisedButton(
                    child: Text("Facebook Share Video"),
                    onPressed: ()async {
                      await FbSharePlugin.shareVideo("/storage/emulated/0/Download/4721.mp4");
                    }),
              ),
              Center(
                child: RaisedButton(
                    child: Text("WhatsApp Share Video"),
                    onPressed: ()async {
                      await FbSharePlugin.shareVideoWhatsApp("/storage/emulated/0/Download/4721.mp4");
                    }),
              ),

              Center(
                child: RaisedButton(
                    child: Text("Messenger Share Video"),
                    onPressed: ()async {
                      await FbSharePlugin.shareVideoMessenger("/storage/emulated/0/Download/4721.mp4");
                    }),
              ),
              Center(
                child: RaisedButton(
                    child: Text("Twitter Share Video"),
                    onPressed: ()async {
                      await FbSharePlugin.shareVideoTwitter("/storage/emulated/0/Download/4721.mp4");
                    }),
              ),

            ],
          ),
        ),
      ),
    );
  }
}
